Priority: Immediate Spent time: 0.00 hour
Has patch: Hito:
Add-on name: Unknown
Description

Cargo en una vista vacia un capa de puntos (puntos_logrono).
Le asigno una leyenda de mapa de calor, con los valores por defecto.
Creo un documento mapa con la vista que acabo de crear.

Las partes de la leyenda de calor con transparencia aparecen negras en el layout.

Si exporto a pdf este sale en blanco (vacio). No aparece en el la layenda.

Associated revisions
Revision 772 - 03/04/2018 01:42 PM - Joaquín  del Cerro Murciano

refs #4830. No se asignava la imagen sobre la que se pinta la vista en un FFrameView el color de fondo de la vista. Esto solo se hacia evidente
cuando la vista tenia puntos con transparencia.

Revision 2267 - 03/04/2018 01:48 PM - Joaquín  del Cerro Murciano

refs #4830. Faltaba implementar el metodo print de la leyenda.

History
#1 - 03/04/2018 01:50 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Se estaban dando dos errores.
    -  Uno en el plugin del layout. No asignaba correctamente el color de fondo a la vista.
    -  Otro en la leyenda de mapa de calor. Faltaba por implementar el metodo print y estaba usando el print por defecto que no servia para la leyenda
de calor.

#2 - 03/04/2018 01:53 PM - Joaquín  del Cerro Murciano

Repasando el resultado, he visto que lo que muestra en la vista y el layout no es exactamente lo mismo. Si que es lo mismo en el layout y el pdf
generado.
#3 - 03/04/2018 02:39 PM - Joaquín  del Cerro Murciano

Creados y añdadidos el repositorio de paquetes:

    -  org.gvsig.app.document.layout2.app.mainplugin-2.0.121-140
    -  org.gvsig.legend.heatmap.app.mainplugin-1.0.14-17

Con el arreglo.

#4 - 04/16/2018 05:22 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.4.1-2852 (rev. org.gvsig.desktop-2.0.222)

#5 - 02/18/2019 04:52 PM - Álvaro Anguix
- Status changed from Fixed to Closed

04/09/2024 2/2


